\definecolor{cqcqcq}{rgb}{0.752941176471,0.752941176471,0.752941176471}
\begin{tikzpicture}[scale=0.5][line cap=round,line join=round,>=triangle 45,x=1.0cm,y=1.0cm]
\draw [color=cqcqcq,dash pattern=on 3pt off 3pt, xstep=1.0cm,ystep=1.0cm] (-1.54,-1.48) grid (4.52,4.3);
\draw[->,color=black] (-1.54,0.) -- (4.52,0.);
\foreach \x in {1.,2.,3.,4.}
\draw[shift={(\x,0)},color=black] (0pt,2pt) -- (0pt,-2pt) node[below] {\footnotesize $\x$};
\draw[->,color=black] (0.,-1.54) -- (0.,4.3);
\foreach \y in {1.,2.,3.,4.}
\draw[shift={(0,\y)},color=black] (2pt,0pt) -- (-2pt,0pt) node[left] {\footnotesize $\y$};
\draw[color=black] (-20pt,-15pt) node[right] {\footnotesize $0$};
\clip(-1.54,-1.48) rectangle (4.52,4.3);
\draw[smooth,samples=100,domain=-1.5400000000000005:4.520000000000001] plot(\x,{0-(\x)^(2.0)+2.0*(\x)+3.0});
\begin{scriptsize}
\draw[color=black] (3.1,1.76) node {$C_f$};
\end{scriptsize}
\end{tikzpicture}